<?= $this->render('profile/tabs-actions/top-bar.phtml') ?>

<? if ( 'update' == $this->mode): ?>
	<?= $this->render('profile/tabs-actions/tabs-update.phtml') ?>
<? else: ?>
	<?= $this->render('profile/tabs-actions/tabs-create.phtml') ?>
<? endif; ?>


<? $time_units = array(1 => __('minutes'), 2 => __('hours'), 3 => __('days')) ?>
<? $travel_time_units = array(2 => __('hours'), 3 => __('days')) ?>
<? $DEFINITIONS = Zend_Registry::get('defines'); ?>

<form class="form" action="<?= $this->getLink('private-v2-profile', array(), true) ?>" method="post">

	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />
	<input type="hidden" name="step" value="<?= $this->step ?>" />
	<input type="hidden" name="escort" value="<?= $this->escort_id ?>" />

	<? if( $this->mode == 'create' ): ?>
		<input type="hidden" name="then" value="" />
	<? endif; ?>

	<div class="escort-popup-body rates-tab">

		<div class="rates-tab-inner">

			<div class="left">
			<p class="block-title an"><?= __('pv2_section_incall_rates') ?></p>

			<div class="rates ml13">
				<table>
					<thead>
					<tr>
						<th><?= __('pv2_label_time') ?></th>
						<th><?= __('pv2_label_unit') ?></th>
						<th><?= __('pv2_label_amount') ?></th>
						<th><?= __('pv2_label_currency') ?></th>
						<th></th>
					</tr>
					</thead>
					<tbody>
					<tr>
						<td>
							<input type="text" class="txt" value="" style="width: 60px" />
						</td>
						<td>
							<select style="width: 80px">
								<? foreach ( $time_units as $unit => $title ): ?>
									<option value="<?= $unit ?>"><?= $title ?>&nbsp;&nbsp;</option>
								<? endforeach ?>
							</select>
						</td>
						<td>
							<input type="text" class="txt" value="" style="width: 60px" />
						</td>
						<td class="currency">
							<span>EUR</span>
						</td>
						<td>
							<div class="btn-add"></div>
						</td>
					</tr>
					</tbody>
				</table>

				<div class="quick-options">
					<strong><?= __('pv2_label_quick_options') ?></strong>
					<ul>
						<li>
							<label for="incall-additional-hour"><?= __('pv2_label_any_additional_hour') ?></label>
							<input id="incall-additional-hour" type="text" class="txt" value="" style="width: 60px" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="incall-overnight"><?= __('pv2_label_overnight') ?></label>
							<input id="incall-overnight" type="text" class="txt" value="" style="width: 60px" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="incall-dinner-date"><?= __('pv2_label_dinner_date') ?></label>
							<input id="incall-dinner-date" type="text" class="txt" value="" style="width: 60px" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="outcall-weekend"><?= __('pv2_label_weekend') ?></label>
							<input id="incall-weekend" type="text" class="txt" value="" style="width: 60px" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
					</ul>
				</div>

				<div class="clear"></div>

				<div class="defined-rates" style="margin-right: 15px">
					<strong><?= __('pv2_label_your_incall_rates') ?></strong>
					<ul></ul>
					<p><?= __('pv2_label_no_incall_rates') ?></p>
				</div>

				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>

			<div class="right">
			<p class="block-title an"><?= __('pv2_section_outcall_rates') ?></p>

			<div class="rates ml23">
				<table>
					<thead>
					<tr>
						<th><?= __('pv2_label_time') ?></th>
						<th><?= __('pv2_label_unit') ?></th>
						<th><?= __('pv2_label_amount') ?></th>
						<th><?= __('pv2_label_currency') ?></th>
						<th></th>
					</tr>
					</thead>
					<tbody>
					<tr>
						<td>
							<input type="text" class="txt" value="" style="width: 60px" />
						</td>
						<td>
							<select style="width: 80px">
								<? foreach ( $time_units as $unit => $title ): ?>
									<option value="<?= $unit ?>"><?= $title ?>&nbsp;&nbsp;</option>
								<? endforeach ?>
							</select>
						</td>
						<td>
							<input type="text" class="txt" value="" style="width: 60px" />
						</td>
						<td class="currency">
							<span>EUR</span>
						</td>
						<td>
							<div class="btn-add"></div>
						</td>
					</tr>
					</tbody>
				</table>

				<div class="quick-options">
					<strong><?= __('pv2_label_quick_options') ?></strong>
					<ul>
						<li>
							<label for="outcall-additional-hour"><?= __('pv2_label_any_additional_hour') ?></label>
							<input id="outcall-additional-hour" type="text" class="txt" value="" style="width: 60px" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="outcall-overnight"><?= __('pv2_label_overnight') ?></label>
							<input id="outcall-overnight" type="text" class="txt" value="" style="width: 60px" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="outcall-dinner-date"><?= __('pv2_label_dinner_date') ?></label>
							<input id="outcall-dinner-date" type="text" class="txt" value="" style="width: 60px" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
						<li>
							<label for="outcall-weekend"><?= __('pv2_label_weekend') ?></label>
							<input id="outcall-weekend" type="text" class="txt" value="" style="width: 60px" />
							<div class="currency">EUR</div>
							<div class="btn-add"></div>
							<div class="clear"></div>
						</li>
					</ul>
					<div class="clear"></div>
				</div>

				<div class="clear"></div>

				<div class="defined-rates">
					<strong><?= __('pv2_label_your_outcall_rates') ?></strong>
					<ul></ul>
					<p><?= __('pv2_label_no_outcall_rates') ?></p>
				</div>

				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>

			<div class="clear"></div>

			<div class="left">
				<p class="block-title an">Travel Rates</p>

				<div class="rates ml13">
					<table>
						<thead>
						<tr>
							<th><?= __('pv2_label_time') ?></th>
							<th><?= __('pv2_label_unit') ?></th>
							<th><?= __('pv2_label_amount') ?></th>
							<th><?= __('pv2_label_currency') ?></th>
							<th></th>
						</tr>
						</thead>
						<tbody>
						<tr>
							<td>
								<input type="text" class="txt" value="" style="width: 60px;" />
							</td>
							<td>
								<select name="" style="width: 80px">
									<? foreach ( $travel_time_units as $unit => $title ): ?>
										<option value="<?= $unit ?>"><?= $title ?>&nbsp;&nbsp;</option>
									<? endforeach ?>
								</select>
							</td>
							<td>
								<input type="text" class="txt" value="" style="width: 60px" />
							</td>
							<td class="currency">
								<span>EUR</span>
							</td>
							<td>
								<div class="btn-add"></div>
							</td>
						</tr>
						</tbody>
					</table>

					<div class="quick-options">
						<strong><?= __('pv2_label_quick_options') ?></strong>
						<ul>
							<li>
								<label for="outcall-weekend">Weekend (48 hours)</label>
								<input id="travel-weekend" type="text" class="txt" value="" style="width: 60px" />
								<div class="currency">EUR</div>
								<div class="btn-add"></div>
								<div class="clear"></div>
							</li>
						</ul>
					</div>

					<div class="clear"></div>

					<div class="defined-rates" style="margin-right: 15px">
						<strong>Your travel rates</strong>
						<ul></ul>
						<p>You don't have set any travel rates yet</p>
					</div>

					<div class="clear"></div>
				</div>
			</div>

			<? $data = $this->data['conditions']; ?>
			<div class="right">
				<p class="block-title an">Conditions</p>

				<div class="conditions ml23">
					<table style="margin-bottom: 5px;">
						<thead>
						<tr>
							<th colspan="2">Minimum Booking Time</th>
						</tr>
						</thead>
						<tbody>
						<tr>
							<td style="width: 70px;">
								<input type="text" name="min_book_time" class="txt" value="<?= $data['min_book_time'] ?>" size="7" />
							</td>
							<td>
								<select name="min_book_time_unit" style="width: 100px">
									<? foreach ($DEFINITIONS['hours_days_options'] as $unit => $title): ?>
										<option value="<?= $unit ?>" <? if ($data['min_book_time'] == $unit): ?>selected="selected"<? endif; ?>><?= $title ?>&nbsp;&nbsp;</option>
									<? endforeach ?>
								</select>
							</td>
						</tr>
						</tbody>
					</table>

					<table style="margin-bottom: 5px;">
						<thead>
						<tr>
							<th colspan="3">Down Payment required</th>
						</tr>
						</thead>
						<tbody>
						<tr>
							<td>
								<? foreach ($DEFINITIONS['y_n_neg_options'] as $val => $title): ?>
									<input type="radio" name="has_down_pay" value="<?= $val ?>" <? if ($data['has_down_pay'] == $val): ?>checked="checked"<? endif; ?> />
									<label><?= $title ?></label>
								<? endforeach; ?>
							</td>
							<td style="width: 70px;">
								<input type="text" name="down_pay" class="txt" value="<?= $data['down_pay'] ?>" size="7" />
							</td>
							<td>
								<select name="down_pay_cur" style="width: 70px">
									<option value="<?= PERCENT ?>" <? if ($data['down_pay_cur'] == PERCENT): ?>selected="selected"<? endif; ?>>%</option>
									<? foreach (Model_Currencies::getAllAssoc() as $k => $v): ?>
										<option value="<?= $k ?>" <? if ($data['down_pay_cur'] == $k): ?>selected="selected"<? endif; ?>><?= $v ?>&nbsp;&nbsp;</option>
									<? endforeach ?>
								</select>
							</td>
						</tr>
						</tbody>
					</table>

					<table style="margin-bottom: 5px;">
						<thead>
						<tr>
							<th colspan="4">Payment Method(s)</th>
						</tr>
						</thead>
						<tbody>
						<? isset($data['travel_payment_methods'][0]) ? $pm = $data['travel_payment_methods'][0] : $pm = array(); ?>
						<tr>
							<td>
								<label><input type="checkbox" name="travel_payment_method[<?= PM_CASH ?>]" value="<?= PM_CASH ?>" <? if (in_array(PM_CASH, $pm)): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['payment_method_options'][PM_CASH] ?></label></br>
								<label><input type="checkbox" name="travel_payment_method[<?= PM_WESTERN_UNION ?>]" value="<?= PM_WESTERN_UNION ?>" <? if (in_array(PM_WESTERN_UNION, $pm)): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['payment_method_options'][PM_WESTERN_UNION] ?></label></br>
								<label><input type="checkbox" name="travel_payment_method[<?= PM_BANK_WIRE ?>]" value="<?= PM_BANK_WIRE ?>" <? if (in_array(PM_BANK_WIRE, $pm)): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['payment_method_options'][PM_BANK_WIRE] ?></label></br>
								<label><input type="checkbox" name="travel_payment_method[<?= PM_MONEYGRAM ?>]" value="<?= PM_MONEYGRAM ?>" <? if (in_array(PM_MONEYGRAM, $pm)): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['payment_method_options'][PM_MONEYGRAM] ?></label></br>
							</td>
							<td>
								<label><input type="checkbox" name="travel_payment_method[<?= PM_PAYPAL ?>]" value="<?= PM_PAYPAL ?>" <? if (in_array(PM_PAYPAL, $pm)): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['payment_method_options'][PM_PAYPAL] ?></label></br>
								<label><input type="checkbox" name="travel_payment_method[<?= PM_CREDIT_CARD ?>]" value="<?= PM_CREDIT_CARD ?>" <? if (in_array(PM_CREDIT_CARD, $pm)): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['payment_method_options'][PM_CREDIT_CARD] ?></label></br>
								<label><input type="checkbox" name="travel_payment_method[<?= PM_OTHER ?>]" value="<?= PM_OTHER ?>" <? if (in_array(PM_OTHER, $pm)): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['payment_method_options'][PM_OTHER] ?></label></br>
								<input type="text" name="specify" class="txt" value="<?= $data['travel_other_method'][0] ?>" size="7" /><br/>
								<span style="font-size: 10px;">(please specify)</span><br/>
							</td>
							<td>


							</td>
							<td>

							</td>
						</tr>
						</tbody>
					</table>

					<table>
						<thead>
						<tr>
							<th colspan="3">Flight Reservation done by</th>
						</tr>
						</thead>
						<tbody>
						<tr>
							<? foreach ($DEFINITIONS['flight_reservation_by'] as $val => $title): ?>
								<td>
									<label><input type="radio" name="reservation" value="<?= $val ?>" <? if ($data['reservation'] == $val): ?>checked="checked"<? endif; ?> /> <?= $title ?></label>
								</td>
							<? endforeach; ?>
						</tr>
						</tbody>
					</table>
				</div>
			</div>

			<div class="clear"></div>


		</div>


		<div id="currencies_json" class="none"><?= json_encode(Model_Currencies::getAllAssoc()); ?></div>
		<div id="time_units_json" class="none"><?= json_encode($time_units) ?></div>

		<div id="travel_rates_json" class="none"><?= json_encode($this->data['rates']['travel']) ?></div>
		<div id="incall_rates_json" class="none"><?= json_encode($this->data['rates']['incall']) ?></div>
		<div id="outcall_rates_json" class="none"><?= json_encode($this->data['rates']['outcall']) ?></div>
		<div id="curr_currency" class="none"><?= Cubix_Application::getById()->currency_id ?></div>
	</div>


<? if ( 'update' == $this->mode): ?>
	<?= $this->render('profile/tabs-actions/actions-update.phtml') ?>
<? else: ?>
	<?= $this->render('profile/tabs-actions/actions-create.phtml') ?>
<? endif; ?>
</form>